diff --git a/passerelle/utils/sftp.py b/passerelle/utils/sftp.py
index 82deb382..097d61a6 100644
--- a/passerelle/utils/sftp.py
+++ b/passerelle/utils/sftp.py
@@ -11,41 +11,39 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from __future__ import absolute_import
 
-import os
-import re
+import contextlib
 import io
 import json
-import contextlib
+import os
+import re
 
+import paramiko
 from django import forms
 from django.core import validators
 from django.db import models
 from django.utils import six
-from django.utils.encoding import force_text
-from django.utils.translation import ugettext_lazy as _
+from django.utils.encoding import force_bytes, force_text
 from django.utils.six.moves.urllib import parse as urlparse
-from django.utils.encoding import force_bytes
-
-import paramiko
+from django.utils.translation import ugettext_lazy as _
 from paramiko.dsskey import DSSKey
 from paramiko.ecdsakey import ECDSAKey
 
 try:
     from paramiko.ed25519key import Ed25519Key
 except ImportError:
     Ed25519Key = None
-from paramiko.rsakey import RSAKey
 from paramiko._version import __version_info__
+from paramiko.rsakey import RSAKey
 
 
 def _load_private_key(content_or_file, password=None):
     if not hasattr(content_or_file, 'read'):
         fd = io.TextIOWrapper(io.BytesIO(force_bytes(content_or_file)))
     else:
         fd = content_or_file
 
diff --git a/passerelle/utils/zip.py b/passerelle/utils/zip.py
index b05b1ee6..501c9b33 100644
--- a/passerelle/utils/zip.py
+++ b/passerelle/utils/zip.py
@@ -9,37 +9,35 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from __future__ import unicode_literals, absolute_import
+from __future__ import absolute_import, unicode_literals
 
 import difflib
 import io
-import os.path
 import json
+import os.path
 import re
 import xml.etree.ElementTree as ET
 import zipfile
 
-from jsonschema import validate, ValidationError
-
-from django.template import Template, Context, TemplateDoesNotExist, TemplateSyntaxError, engines
-from django.utils.functional import cached_property
+from django.template import Context, Template, TemplateDoesNotExist, TemplateSyntaxError, engines
+from django.template.loader import get_template
 from django.utils.encoding import force_str
+from django.utils.functional import cached_property
 from django.utils.six import python_2_unicode_compatible
-from django.template.loader import get_template
+from jsonschema import ValidationError, validate
 
 from passerelle.utils.files import atomic_write
 
-
 SCHEMA = {
     'type': 'object',
     'required': ['name_template'],
     'properties': {
         'name_template': {
             'type': 'string',
         },
         'part_templates': {
diff --git a/passerelle/views.py b/passerelle/views.py
index a50b8b5e..1df311cf 100644
--- a/passerelle/views.py
+++ b/passerelle/views.py
@@ -16,57 +16,56 @@
 
 import datetime
 import hashlib
 import inspect
 import json
 import logging
 import uuid
 
+from dateutil import parser as date_parser
 from django.apps import apps
+from django.conf import settings
 from django.conf.urls import url
-from django.core.cache import cache
-from django.core.exceptions import PermissionDenied
 from django.contrib.auth import logout as auth_logout
 from django.contrib.auth import views as auth_views
+from django.core.cache import cache
+from django.core.exceptions import PermissionDenied
 from django.db import transaction
 from django.db.models import Q
-from django.http import HttpResponse, HttpResponseRedirect, Http404
+from django.http import Http404, HttpResponse, HttpResponseRedirect
+from django.shortcuts import resolve_url
+from django.urls import reverse
+from django.utils.encoding import force_bytes, force_text
+from django.utils.six.moves.urllib.parse import quote
+from django.utils.timezone import make_aware
+from django.utils.translation import ugettext_lazy as _
 from django.views.decorators.csrf import csrf_exempt
 from django.views.generic import (
-    RedirectView,
-    View,
-    TemplateView,
     CreateView,
     DeleteView,
-    UpdateView,
     DetailView,
     ListView,
+    RedirectView,
+    TemplateView,
+    UpdateView,
+    View,
 )
 from django.views.generic.detail import SingleObjectMixin
-from django.conf import settings
-from django.shortcuts import resolve_url
-from django.urls import reverse
-from django.utils.timezone import make_aware
-from django.utils.translation import ugettext_lazy as _
-from django.utils.encoding import force_bytes, force_text
-from django.utils.six.moves.urllib.parse import quote
-
-from dateutil import parser as date_parser
-from jsonschema import validate, ValidationError
+from jsonschema import ValidationError, validate
 
 from passerelle.base.models import BaseResource, ResourceLog
 from passerelle.compat import json_loads
 from passerelle.utils.conversion import normalize
-from passerelle.utils.jsonresponse import APIError
 from passerelle.utils.json import unflatten
+from passerelle.utils.jsonresponse import APIError
 from passerelle.utils.paginator import InfinitePaginator
 
-from .utils import to_json, is_authorized
 from .forms import ResourceLogSearchForm
+from .utils import is_authorized, to_json
 
 if 'mellon' in settings.INSTALLED_APPS:
     from mellon.utils import get_idps
 else:
 
     def get_idps():
         return []
 
diff --git a/setup.py b/setup.py
index d7a20f73..a31a433f 100755
--- a/setup.py
+++ b/setup.py
@@ -1,19 +1,19 @@
 #!/usr/bin/python
 
 import os
 import subprocess
 import sys
+from distutils.cmd import Command
+from distutils.command.build import build as _build
 
+from setuptools import find_packages, setup
 from setuptools.command.install_lib import install_lib as _install_lib
 from setuptools.command.sdist import sdist
-from distutils.command.build import build as _build
-from distutils.cmd import Command
-from setuptools import setup, find_packages
 
 
 class eo_sdist(sdist):
     def run(self):
         if os.path.exists('VERSION'):
             os.remove('VERSION')
         version = get_version()
         version_file = open('VERSION', 'w')
diff --git a/tests/conftest.py b/tests/conftest.py
index 5b318956..fbe08831 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -1,19 +1,17 @@
-import pytest
-from httmock import urlmatch, HTTMock, response, remember_called
+from io import BytesIO
 
 import django_webtest
-
+import pytest
 from django.contrib.auth.models import User
-from django.core.files import File
 from django.core.cache import cache
+from django.core.files import File
 from django.utils import six
-from io import BytesIO
-
+from httmock import HTTMock, remember_called, response, urlmatch
 from utils import make_resource
 
 if six.PY2:
     collect_ignore = ['wcs/']
 
 
 @pytest.fixture(autouse=True)
 def media(settings, tmpdir):
@@ -106,16 +104,17 @@ def mock_api_adresse_data_gouv_fr_search():
 def mock_api_adresse_data_gouv_fr_reverse():
     with HTTMock(api_adresse_data_gouv_fr_reverse):
         yield None
 
 
 @pytest.fixture
 def endpoint_dummy_cache(monkeypatch):
     from django.core.cache import caches
+
     import passerelle.views
 
     monkeypatch.setattr(passerelle.views, 'cache', caches['dummy'])
 
 
 @urlmatch()
 def internal_server_error(url, request):
     return response(500, 'Internal server error')
diff --git a/tests/test_api.py b/tests/test_api.py
index 90713dcb..51bf84cb 100644
--- a/tests/test_api.py
+++ b/tests/test_api.py
@@ -11,25 +11,23 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import mock
 import pytest
-
-from django.urls import reverse
 from django.contrib.contenttypes.models import ContentType
 from django.test import override_settings
+from django.urls import reverse
+from test_manager import login
 
 from passerelle.apps.ovh.models import OVHSMSGateway
-from passerelle.base.models import ApiUser, AccessRight, Job
-
-from test_manager import login
+from passerelle.base.models import AccessRight, ApiUser, Job
 
 pytestmark = pytest.mark.django_db
 
 API_KEY = '1234'
 
 
 @pytest.fixture
 def connector(db):
diff --git a/tests/test_api_access.py b/tests/test_api_access.py
index 67ee07f0..d700492c 100644
--- a/tests/test_api_access.py
+++ b/tests/test_api_access.py
@@ -1,23 +1,21 @@
 import re
 import sys
 
-from django.contrib.auth.models import User
-from django.contrib.contenttypes.models import ContentType
-from django.urls import reverse
-
 import pytest
 import utils
-
+from django.contrib.auth.models import User
+from django.contrib.contenttypes.models import ContentType
 from django.test import override_settings
+from django.urls import reverse
 
-from passerelle.base import signature
-from passerelle.base.models import ApiUser, AccessRight, ResourceLog
 from passerelle.apps.oxyd.models import OxydSMSGateway
+from passerelle.base import signature
+from passerelle.base.models import AccessRight, ApiUser, ResourceLog
 
 pytestmark = pytest.mark.django_db
 
 
 @pytest.fixture
 def oxyd(db):
     return OxydSMSGateway.objects.create(
         title='eservices', slug='eservices', username='user', description='oxyd', password='secret'
diff --git a/tests/test_api_entreprise.py b/tests/test_api_entreprise.py
index 7d3055d2..236c95cc 100644
--- a/tests/test_api_entreprise.py
+++ b/tests/test_api_entreprise.py
@@ -11,28 +11,25 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import pytest
 import mock
+import pytest
 import requests
-
-from httmock import urlmatch, HTTMock, response
-
 from django.utils import timezone
+from httmock import HTTMock, response, urlmatch
+from utils import FakedResponse, make_resource
 
 from passerelle.apps.api_entreprise.models import APIEntreprise
 
-from utils import make_resource, FakedResponse
-
 ETABLISSEMENTS_RESPONSE = {
     "etablissement": {
         "siege_social": True,
         "siret": "41816609600051",
         "naf": "6202A",
         "libelle_naf": "Conseil en systèmes et logiciels informatiques",
         "date_mise_a_jour": 1449183600,
         "tranche_effectif_salarie_etablissement": {
diff --git a/tests/test_api_particulier.py b/tests/test_api_particulier.py
index e08e0bb7..c2944db8 100644
--- a/tests/test_api_particulier.py
+++ b/tests/test_api_particulier.py
@@ -12,31 +12,27 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import logging
-import pytest
-from httmock import urlmatch, HTTMock, response
-
-from django.urls import reverse
 
+import pytest
 import requests
+from django.urls import reverse
+from httmock import HTTMock, response, urlmatch
+from test_manager import login
+from utils import endpoint_get, make_resource
 
 from passerelle.apps.api_particulier.models import APIParticulier
 from passerelle.base.models import ResourceLog
 
-from utils import make_resource, endpoint_get
-
-from test_manager import login
-
-
 SVAIR_RESPONSE = {
     "declarant1": {
         "nom": "Martin",
         "nomNaissance": "Martin",
         "prenoms": "Pierre",
         "dateNaissance": "22/03/1985",
     },
     "declarant2": {
diff --git a/tests/test_arcgis.py b/tests/test_arcgis.py
index 4a14b3a3..8dfc3121 100644
--- a/tests/test_arcgis.py
+++ b/tests/test_arcgis.py
@@ -1,26 +1,25 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
 import json
-import pytest
+
 import mock
+import pytest
 import utils
-
 from django.contrib.auth.models import User
 from django.contrib.contenttypes.models import ContentType
 from django.core.exceptions import ValidationError
+from test_manager import login
 
-from passerelle.apps.arcgis.models import ArcGIS, validate_where, SqlFormatter, Query
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.apps.arcgis.models import ArcGIS, Query, SqlFormatter, validate_where
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.utils import import_site
 
-from test_manager import login
-
 pytestmark = pytest.mark.django_db
 
 # from http://sampleserver1.arcgisonline.com/ArcGIS/rest/services/fold/serv/MapServer/1
 STATES = '''{
    "fieldAliases" : {
       "OBJECTID" : "OBJECTID",
       "STATE_NAME" : "STATE_NAME",
       "STATE_ABBR" : "STATE_ABBR"
diff --git a/tests/test_arcgis_nancy.py b/tests/test_arcgis_nancy.py
index ac9d0d33..d84d55d4 100644
--- a/tests/test_arcgis_nancy.py
+++ b/tests/test_arcgis_nancy.py
@@ -1,21 +1,18 @@
 import os
 
-import pytest
 import mock
-
-
-from django.urls import reverse
+import pytest
 from django.contrib.contenttypes.models import ContentType
+from django.urls import reverse
 
 from passerelle.apps.arcgis.models import ArcGIS
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.compat import json_loads
-from passerelle.base.models import ApiUser, AccessRight
-
 
 TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'nancy_arcgis')
 
 
 def get_file_content(filename):
     with open(os.path.join(TEST_BASE_DIR, filename), 'rb') as fd:
         return fd.read()
 
diff --git a/tests/test_atal.py b/tests/test_atal.py
index 03c93456..1f142d70 100644
--- a/tests/test_atal.py
+++ b/tests/test_atal.py
@@ -1,21 +1,21 @@
 # coding: utf-8
 
 import base64
-from datetime import datetime
 import os
+from datetime import datetime
 
-from django.contrib.contenttypes.models import ContentType
-from django.utils.http import urlencode
 import mock
 import pytest
+from django.contrib.contenttypes.models import ContentType
+from django.utils.http import urlencode
 
 from passerelle.apps.atal.models import ATALConnector
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.base.models import AccessRight, ApiUser
 
 
 def get_file(filename):
     with open(os.path.join(os.path.dirname(__file__), 'data', 'atal', filename), 'rb') as f:
         return f.read()
 
 
 @pytest.fixture()
diff --git a/tests/test_atos_genesys.py b/tests/test_atos_genesys.py
index 592ca1f1..d48533cc 100644
--- a/tests/test_atos_genesys.py
+++ b/tests/test_atos_genesys.py
@@ -1,18 +1,17 @@
 # -*- coding: utf-8 -*-
 
 import os
-import pytest
 
+import pytest
 import utils
-
 from django.utils.http import urlencode
 
-from passerelle.apps.atos_genesys.models import Resource, Link
+from passerelle.apps.atos_genesys.models import Link, Resource
 
 FAKE_URL = 'https://sirus.fr/'
 
 
 @pytest.fixture
 def genesys(db):
     return utils.make_resource(
         Resource, title='Test 1', slug='test1', description='Connecteur de test', webservice_base_url=FAKE_URL
@@ -216,16 +215,17 @@ def test_ws_dossiers(app, genesys):
         assert response.json['data']['id_per'] == '4567'
         assert response.json['data']['dossier']
         assert response.json['data']['id'] == str(link2.id)
         assert response.json['data']['text'] == u'%s - John DOE' % link2.id_per
 
 
 def test_row_locked_cache(genesys, freezer):
     import time
+
     from passerelle.apps.atos_genesys.utils import RowLockedCache
 
     freezer.move_to('2018-01-01 00:00:00')
     link = Link.objects.create(resource=genesys, name_id='zob', id_per='4567')
 
     class F(object):
         calls = 0
         value = 1
diff --git a/tests/test_availability.py b/tests/test_availability.py
index e7a5a7a2..2cf8b2c3 100644
--- a/tests/test_availability.py
+++ b/tests/test_availability.py
@@ -1,17 +1,16 @@
 # -*- coding: utf-8 -*-
 
 import pytest
-from httmock import all_requests, HTTMock
+import utils
+from httmock import HTTMock, all_requests
 
 from passerelle.apps.feeds.models import Feed
 
-import utils
-
 FEED_EXAMPLE = u"""<?xml version="1.0" encoding="UTF-8"?>
 <feed xmlns="http://www.w3.org/2005/Atom" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/">
   <title>Actualités de Strasbourg</title>
   <link rel="alternate" href="http://www.strasbourg.eu/fr/actualites/-/asset_publisher/lG7u/rss" />
   <subtitle>Actualités de Strasbourg</subtitle>
   <entry>
     <title>30 juin - 1er juillet : conditions de circulation et de stationnement</title>
     <link rel="alternate" href="http://www.strasbourg.eu/fr/actualites/-/asset_publisher/lG7u/content/id/5722879" />
diff --git a/tests/test_cartads_cs.py b/tests/test_cartads_cs.py
index 59182911..7ad87f5b 100644
--- a/tests/test_cartads_cs.py
+++ b/tests/test_cartads_cs.py
@@ -1,27 +1,25 @@
 # -*- coding: utf-8 -*-
 
-from collections import OrderedDict
 import datetime
 import json
 import os
+from collections import OrderedDict
 
 import mock
-from httmock import HTTMock
 import pytest
-
+import utils
 from django.core.files.storage import default_storage
 from django.test import override_settings
+from httmock import HTTMock
 
-from passerelle.apps.cartads_cs.models import CartaDSCS, CartaDSFile, CartaDSDossier
-from passerelle.compat import json_loads
+from passerelle.apps.cartads_cs.models import CartaDSCS, CartaDSDossier, CartaDSFile
 from passerelle.base.models import Job
-
-import utils
+from passerelle.compat import json_loads
 
 
 @pytest.fixture
 def connector(db):
     return utils.make_resource(
         CartaDSCS,
         title='Test',
         slug='test',
diff --git a/tests/test_cityweb.py b/tests/test_cityweb.py
index 5b131124..2d5f234d 100644
--- a/tests/test_cityweb.py
+++ b/tests/test_cityweb.py
@@ -11,34 +11,33 @@
 # but WITHOUT ANY WARRANTY; exclude even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a.deepcopy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 from __future__ import unicode_literals
 
-import os
 import json
+import os
 import shutil
 import stat
-
-import pytest
-import mock
-from lxml import etree, objectify as xobject
 import zipfile
 
+import mock
+import pytest
 import utils
+from django.core.files.storage import default_storage
+from lxml import etree
+from lxml import objectify as xobject
 
-from passerelle.apps.cityweb.models import CityWeb
 from passerelle.apps.cityweb.cityweb import DateType
+from passerelle.apps.cityweb.models import CityWeb
 from passerelle.utils.jsonresponse import APIError
 
-from django.core.files.storage import default_storage
-
 
 def get_test_base_dir(name):
     return os.path.join(os.path.dirname(__file__), 'data', name)
 
 
 def get_file_from_test_base_dir(filename):
     path = os.path.join(get_test_base_dir('cityweb'), filename)
     with open(path, 'r') as fd:
diff --git a/tests/test_clicrdv.py b/tests/test_clicrdv.py
index 51bb111b..bee821be 100644
--- a/tests/test_clicrdv.py
+++ b/tests/test_clicrdv.py
@@ -1,20 +1,17 @@
 import mock
 import pytest
-
-from requests.exceptions import HTTPError
-
 from django.contrib.contenttypes.models import ContentType
 from django.utils.six.moves.urllib import parse as urlparse
+from requests.exceptions import HTTPError
+from test_manager import login
 
-from passerelle.base.models import ApiUser, AccessRight
 from passerelle.apps.clicrdv.models import ClicRdv
-
-from test_manager import login
+from passerelle.base.models import AccessRight, ApiUser
 
 
 @pytest.fixture
 def connector(db):
     return ClicRdv.objects.create(
         slug='test', group_id='5242', apikey='test', username='test', password='test'
     )
 
diff --git a/tests/test_cmis.py b/tests/test_cmis.py
index 8fbbe427..d9c575a9 100644
--- a/tests/test_cmis.py
+++ b/tests/test_cmis.py
@@ -1,33 +1,34 @@
 import base64
-import httplib2
-import xml.etree.ElementTree as ET
-import mock
 import os
 import re
+import xml.etree.ElementTree as ET
 
+import httplib2
+import mock
+import py
+import pytest
 from cmislib import CmisClient
-from cmislib.exceptions import CmisException
-from cmislib.exceptions import ObjectNotFoundException
-from cmislib.exceptions import PermissionDeniedException
-from cmislib.exceptions import UpdateConflictException
-from cmislib.exceptions import InvalidArgumentException
+from cmislib.exceptions import (
+    CmisException,
+    InvalidArgumentException,
+    ObjectNotFoundException,
+    PermissionDeniedException,
+    UpdateConflictException,
+)
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
 from django.utils.encoding import force_bytes, force_text
 from django.utils.six.moves.urllib import error as urllib2
-from mock import call, Mock
-import py
-import pytest
+from mock import Mock, call
+from test_manager import login
 
-from passerelle.base.models import ApiUser, AccessRight
 from passerelle.apps.cmis.models import CmisConnector
-
-from test_manager import login
+from passerelle.base.models import AccessRight, ApiUser
 
 
 def b64encode(content):
     return force_text(base64.b64encode(force_bytes(content)))
 
 
 @pytest.fixture()
 def setup(db):
@@ -412,18 +413,18 @@ def test_create_doc():
         (urllib2.URLError, "connection error"),
         (PermissionDeniedException, "permission denied"),
         (UpdateConflictException, "update conflict"),
         (InvalidArgumentException, "invalid property"),
         (CmisException, "cmis binding error"),
     ],
 )
 def test_wrap_cmis_error(app, setup, monkeypatch, cmis_exc, err_msg):
-    from passerelle.utils.jsonresponse import APIError
     from passerelle.apps.cmis.models import wrap_cmis_error
+    from passerelle.utils.jsonresponse import APIError
 
     @wrap_cmis_error
     def dummy_func():
         raise cmis_exc("some error")
 
     with pytest.raises(APIError) as excinfo:
         dummy_func()
     assert str(excinfo.value).startswith(err_msg)
diff --git a/tests/test_cryptor.py b/tests/test_cryptor.py
index aa1ef162..65606fbf 100644
--- a/tests/test_cryptor.py
+++ b/tests/test_cryptor.py
@@ -1,21 +1,20 @@
 # -*- coding: utf-8 -*-
 
 import base64
-import pytest
 
+import pytest
+import utils
 from django.contrib.contenttypes.models import ContentType
 from django.core.exceptions import ValidationError
 from django.utils.encoding import force_text
 
-from passerelle.apps.cryptor.models import Cryptor, CryptedFile
-from passerelle.base.models import ApiUser, AccessRight
-
-import utils
+from passerelle.apps.cryptor.models import CryptedFile, Cryptor
+from passerelle.base.models import AccessRight, ApiUser
 
 PUBLIC_KEY = '''-----BEGIN CERTIFICATE-----
 MIICyjCCAbKgAwIBAgIUQQzM2eFYF+LpUR3t2euAjZAwLCEwDQYJKoZIhvcNAQEL
 BQAwDzENMAsGA1UEAwwEemVwbzAeFw0xOTA2MjIyMjMxMTVaFw0yOTA2MTkyMjMx
 MTVaMA8xDTALBgNVBAMMBHplcG8wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEK
 AoIBAQC8BM3xDylze0bOm76IjidyhmFqJlnRvcpbeZVTM7r3qYOHqXFG7/GZL4yd
 2bW5eL6TCUT3gLEgegGYGPwCkGPd1cq9h+2M7zvolGToRCvrBpxH5Vu6iRkEYyWN
 yPhc02EUqYlz1FBBYRgyYHQ4jy0vsPH55g536OKLI4rVykszjwD9p0Kh+T2I1D9Z
diff --git a/tests/test_csv_datasource.py b/tests/test_csv_datasource.py
index 4132d269..580644d7 100644
--- a/tests/test_csv_datasource.py
+++ b/tests/test_csv_datasource.py
@@ -14,40 +14,38 @@
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import datetime
 import os
 import time
-import pytest
-import mock
-import six
 import uuid
 from posix import stat_result
 from stat import ST_MTIME
 
-from django.core.files import File
-from django.urls import reverse
+import mock
+import pytest
+import six
+import webtest
 from django.contrib.contenttypes.models import ContentType
-from django.test import Client, override_settings
+from django.core.files import File
 from django.core.management import call_command
+from django.test import Client, override_settings
+from django.urls import reverse
 from django.utils.encoding import force_bytes, force_str, force_text
 from django.utils.six import StringIO
 from django.utils.six.moves.urllib.parse import urlencode
 from django.utils.timezone import now
-
-from passerelle.base.models import ApiUser, AccessRight
-from passerelle.compat import json_loads
-from passerelle.apps.csvdatasource.models import CsvDataSource, Query, TableRow
-
 from test_manager import login
 
-import webtest
+from passerelle.apps.csvdatasource.models import CsvDataSource, Query, TableRow
+from passerelle.base.models import AccessRight, ApiUser
+from passerelle.compat import json_loads
 
 data = """121;69981;DELANOUE;Eliot;H
 525;6;DANIEL WILLIAMS;Shanone;F
 253;67742;MARTIN;Sandra;F
 511;38142;MARCHETTI;Lucie;F
 235;22;MARTIN;Sandra;F
 620;52156;ARNAUD;Mathis;H
 902;36;BRIGAND;Coline;F
diff --git a/tests/test_dpark.py b/tests/test_dpark.py
index b4044f2c..c5ff7780 100644
--- a/tests/test_dpark.py
+++ b/tests/test_dpark.py
@@ -1,26 +1,24 @@
 # -*- coding: utf-8 -*-
 import base64
-import mock
 import os
-import pytest
 import xml.etree.ElementTree as ET
 
-from django.utils.encoding import force_text
 import httmock
-
-from zeep.exceptions import TransportError, Fault as WebFault
-
+import mock
+import pytest
+from django.utils.encoding import force_text
 from utils import make_resource
+from zeep.exceptions import Fault as WebFault
+from zeep.exceptions import TransportError
 
 from passerelle.contrib.dpark.models import DPark, Pairing
 from passerelle.utils.jsonresponse import APIError
 
-
 SLUG = 'test'
 WSDL_URL = 'https://example.net/dpark?wsdl'
 OPERATIONAL_URL = 'https://example.net/dpark'
 
 with open(os.path.join(os.path.dirname(__file__), 'data/dpark.awws.wsdl')) as f:
     WSDL_CONTENT = f.read()
 
 with open(os.path.join(os.path.dirname(__file__), 'data/small.jpg'), 'rb') as f:
diff --git a/tests/test_family.py b/tests/test_family.py
index b5085248..122fe403 100644
--- a/tests/test_family.py
+++ b/tests/test_family.py
@@ -1,35 +1,37 @@
 # -*- coding: utf-8 -*-
 
-import pytest
-import os
-from uuid import uuid4
-import zipfile
 import logging
+import os
 import shutil
+import zipfile
+from uuid import uuid4
 
+import pytest
+from django.contrib.contenttypes.models import ContentType
 from django.core.exceptions import ValidationError
 from django.core.files import File
+from django.core.files.storage import default_storage
+from django.core.management import call_command
+from django.core.management.base import CommandError
 from django.urls import reverse
 from django.utils import timezone
 from django.utils.http import urlencode
-from django.core.files import File
-from django.core.management import call_command
-from django.core.management.base import CommandError
-from django.core.files.storage import default_storage
-
-from passerelle.apps.family.models import GenericFamily, Family, FamilyLink
-from passerelle.apps.family.models import Invoice, Adult, Child, DATETIME_FORMAT
-
-from django.core.files import File
-from django.contrib.contenttypes.models import ContentType
-
-from passerelle.base.models import ApiUser, AccessRight
 
+from passerelle.apps.family.models import (
+    DATETIME_FORMAT,
+    Adult,
+    Child,
+    Family,
+    FamilyLink,
+    GenericFamily,
+    Invoice,
+)
+from passerelle.base.models import AccessRight, ApiUser
 
 pytestmark = pytest.mark.django_db
 
 nameid = 'foobarnameid'
 API_KEY = 'family'
 
 
 @pytest.fixture
diff --git a/tests/test_generic_endpoint.py b/tests/test_generic_endpoint.py
index 3adbec34..124b9e90 100644
--- a/tests/test_generic_endpoint.py
+++ b/tests/test_generic_endpoint.py
@@ -13,39 +13,42 @@
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from __future__ import unicode_literals
 
 import copy
-import os
 import json
+import os
 import random
 import warnings
 
 import mock
 import pytest
-
 import utils
-
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
+from test_manager import login
 
-from passerelle.apps.arcgis.models import ArcGIS
 from passerelle.apps.api_particulier.models import APIParticulier
-from passerelle.base.models import ResourceLog, ProxyLogger, BaseResource, HTTPResource, LoggingParameters
-from passerelle.base.models import ResourceStatus
+from passerelle.apps.arcgis.models import ArcGIS
 from passerelle.apps.mdel.models import MDEL
+from passerelle.base.models import (
+    BaseResource,
+    HTTPResource,
+    LoggingParameters,
+    ProxyLogger,
+    ResourceLog,
+    ResourceStatus,
+)
 from passerelle.contrib.stub_invoices.models import StubInvoicesConnector
 from passerelle.utils.api import endpoint
 
-from test_manager import login
-
 
 @pytest.fixture
 def mdel(db):
     return utils.setup_access_rights(MDEL.objects.create(slug='test'))
 
 
 @pytest.fixture
 def arcgis(db):
@@ -668,16 +671,17 @@ def test_endpoint_cookies(app, db, monkeypatch, httpbin):
     # to the other
     json_res = app.get('/stub-invoices/fake/httpcall').json
     assert json_res['cookie1'] is None
     assert json_res['cookie2'] == 'foo=bar'
 
 
 def test_https_warnings(app, db, monkeypatch, httpbin_secure, relax_openssl):
     from requests.exceptions import SSLError
+
     from passerelle.apps.arcgis.models import ArcGIS
 
     resource = utils.make_resource(ArcGIS, base_url='https://example.com/', slug='gis', verify_cert=True)
     with pytest.raises(SSLError):
         resource.requests.get(httpbin_secure.join('/get/'))
     resource.verify_cert = False
     with warnings.catch_warnings():
         warnings.simplefilter('error')
diff --git a/tests/test_gesbac.py b/tests/test_gesbac.py
index bf299f81..8d27665a 100644
--- a/tests/test_gesbac.py
+++ b/tests/test_gesbac.py
@@ -12,24 +12,24 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import datetime
-import pytest
 
-from django.utils.timezone import now
+import pytest
 from django.utils.encoding import force_bytes, force_str, force_text
+from django.utils.timezone import now
 from utils import make_resource
 
+from passerelle.apps.gesbac.models import Form, Gesbac
 from passerelle.utils import SFTP
-from passerelle.apps.gesbac.models import Gesbac, Form
 
 
 @pytest.fixture
 def resource(db, sftpserver):
     return make_resource(
         Gesbac,
         slug='test',
         title='Gesbac',
